Skip to main content
GET
Get Batch Payments

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page_token
string

Optional pagination token to be provided to retrieve subsequent pages, returned from previous get

Example:

"a8937a0d"

limit
integer
default:100

Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.

Required range: x >= 1
Example:

100

id
string<uuid>

ID of the Batch Payment

status
string

Status of the Batch Payment

template_id
string<uuid>

ID of the Batch Payment Template

transaction_id
string<uuid>

ID of the Batch Payment Transaction

Response

Retrieve all Batch payments

amount
integer<int64>
required
read-only

The total amount of the batch transfer.

batch_payment_template_id
string<uuid>
required

The ID of the batch Payment template that was used to create the batch.

batched_transfer_ids
string<uuid>[]
required

The IDs of the transfers that are part of the batch. These values can be modified by the client before the batch is in a terminal status.

creation_time
string<date-time>
required
read-only
Example:

"2010-05-06T12:23:34.321Z"

id
string<uuid>
required
read-only
Example:

"d290f1ee-6c54-4b01-90e6-d701748f0851"

last_updated_time
string<date-time>
required
read-only
Example:

"2010-05-06T12:23:34.321Z"

status
enum<string>
required

The status of a Batch

Available options:
INITIATED,
PENDING_APPROVAL,
PENDING_PAYMENT,
COMPLETED,
CANCELLED,
DECLINED,
RETURNED
payment_rail
string

The payment rail that was used to process the batch.

payment_rail_transfer_id
string<uuid>

The ID of the payment rail transfer that was used to process the batch.

tenant
string

The id of the tenant containing the resource.

Example:

"abcdef_ghijkl"

transaction_id
string<uuid>

The transaction ID of the batch which represents a transaction on the ledger.